package shell

import (
	"os/exec"
	"runtime"

	"go.wit.com/log"
)

// openBrowser opens the specified URL in the default browser of the user.
func OpenBrowser(url string) error {
	var cmd string
	var args []string

	switch runtime.GOOS {
	case "windows":
		cmd = "cmd"
		args = []string{"/c", "start"}
	case "darwin":
		cmd = "open"
	default: // "linux", "freebsd", "openbsd", "netbsd"
		cmd = "xdg-open"
	}
	args = append(args, url)
	return exec.Command(cmd, args...).Start()
}

func Xterm(cmd string) {
	var tmp []string
	var argsXterm = []string{"nohup", "xterm", "-geometry", "120x40"}
	/*
		if xtermHold.Checked() {
			log.Println("hold = true")
			argsXterm = append(argsXterm, "-hold")
		} else {
			log.Println("hold = false")
		}
	*/
	tmp = append(argsXterm, "-e", cmd)
	log.Info("xterm cmd=", tmp)
	go Run(tmp)
}
